Page MenuHomePhabricator

Change font stack and letter spacing
Closed, ResolvedPublic0.5 Story Points

Description

Can the font stack be changed to - -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"

The h1 on the homepage needs letter-spacing of 1px and the translate page`s heading needs none. (sorry @Samwilson, I got confused about this)

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptDec 19 2018, 10:48 AM
Niharika triaged this task as Normal priority.Jan 2 2019, 6:19 AM
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Niharika added a subscriber: Niharika.

@Prtksxna If you prefer, you could also directly submit PRs for minor design fixes.

@Prtksxna If you prefer, you could also directly submit PRs for minor design fixes.

Happy to ๐Ÿ™‚https://github.com/wikimedia/svgtranslate/pull/43. I haven't yet spent any time doing a local setup of this so I haven't created any build files or tested.

I'd be happy to set stuff up, but was under the impression (maybe incorrectly) that we are still facing issues with the Docker setup. @Samwilson, should I give docker a go?

aezell added a subscriber: aezell.Jan 2 2019, 5:49 PM

@Prtksxna I think we fixed the Docker stuff at the offsite unless it has broken again. I'll give it a try shortly and see if it's working with the current master.

@Prtksxna I think we fixed the Docker stuff at the offsite unless it has broken again. I'll give it a try shortly and see if it's working with the current master.

Works! Thanks @aezell.

Great! I actually did try it earlier and forgot to come back to update here.

I know @Samwilson was running into an issue on his new computer. Maybe that issue is related to his Docker install and not necessarily to the container/compose/etc. stuff for this particular repository?

Samwilson set the point value for this task to 0.5.

The font-stack PR is merged and deployed to the staging site.

I'll update the letter-spacing now.

Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.

PR merged. Staging site updated.

Prtksxna closed this task as Resolved.Jan 6 2019, 4:14 AM
Niharika moved this task from QA to Q2 2018-19 on the Community-Tech-Sprint board.Jan 7 2019, 5:42 AM
aezell moved this task from In progress to Done on the SVG Translate Tool board.Jan 7 2019, 10:39 PM

@Prtksxna Hey, would you provide insights for the emoji font families included?